MaxWrtParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
MaxWrtParser Class Referencefinal

the main class to read a MaxWrite file More...

`#include <MaxWrtParser.hxx>`

Inheritance diagram for MaxWrtParser:

## Public Member Functions
| MaxWrtParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~MaxWrtParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGTextInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWTextParser
| ~MWAWTextParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| finds the different objects zones
bool | sendText ()
| try to send the main text
bool | readLineHeight (MWAWEntry const &entry)
| try to read a line height zone
bool | readStylePLC (MWAWEntry const &entry)
| try to read a style plc zone: Styl
bool | readStyles (MWAWEntry const &entry)
| try to read a styles zone: StTB
MWAWInputStreamPtr | rsrcInput ()
| return the input input
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWTextParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
std::shared_ptr< MaxWrtParserInternal::State > | m_state
| the state

## Detailed Description

the main class to read a MaxWrite file

## Constructor & Destructor Documentation

## ◆ MaxWrtParser()

MaxWrtParser::MaxWrtParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ◆ ~MaxWrtParser()

MaxWrtParser::~MaxWrtParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool MaxWrtParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )
| finalvirtual

checks if the document header is correct (or not)

no data fork, may be ok, but this means that the file contains no text, so...

Implements MWAWParser.

Referenced by parse().

## ◆ createDocument()

void MaxWrtParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool MaxWrtParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

## ◆ parse()

void MaxWrtParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Implements MWAWTextParser.

## ◆ readLineHeight()

bool MaxWrtParser::readLineHeight | ( | MWAWEntry const & | entry | ) |
| protected

try to read a line height zone

Referenced by createZones().

## ◆ readStylePLC()

bool MaxWrtParser::readStylePLC | ( | MWAWEntry const & | entry | ) |
| protected

try to read a style plc zone: Styl

Referenced by createZones().

## ◆ readStyles()

bool MaxWrtParser::readStyles | ( | MWAWEntry const & | entry | ) |
| protected

try to read a styles zone: StTB

Referenced by createZones().

## ◆ rsrcAscii()

libmwaw::DebugFile & MaxWrtParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by readLineHeight(), readStylePLC(), and readStyles().

## ◆ rsrcInput()

MWAWInputStreamPtr MaxWrtParser::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by readLineHeight(), readStylePLC(), and readStyles().

## ◆ sendText()

bool MaxWrtParser::sendText | ( |  | ) |
| protected

try to send the main text

Referenced by parse().

## Member Data Documentation

## ◆ m_state

std::shared_ptr<MaxWrtParserInternal::State> MaxWrtParser::m_state
| protected

the state

Referenced by checkHeader(), readStylePLC(), readStyles(), and sendText().

The documentation for this class was generated from the following files:

- MaxWrtParser.hxx
- MaxWrtParser.cxx